-- =============================================  
-- Author:  Paolo Giovanetti  / TRINGALI PER FIDUCIARIE  
-- Create date: <Create Date,,>  
-- Description: <Description,,>  
-- =============================================  
CREATE procedure [C6MartPeriodico].[RP_DM_BrsClienteESG]  
AS  
BEGIN  
 SET NOCOUNT ON;  
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_DM_BrsClienteESG',  
  GETDATE(),  
  'Elaborazione trimestrale'  
 )  
-- declare @data varchar(8)
--set @data= [C6MartPeriodico].[getTrimestre2](getdate(),0)
truncate table C6MartPeriodico.BrsClienteESG
insert into [C6StampeCentralizzate].[C6MartPeriodico].[BrsClienteESG]
SELECT ws.[rete]
      ,ws.[codfis]
      ,case when PREFSOST='S' then 1 
			when PREFSOST='N' then 0
			else 0 end as [Preferenza_esg_cliente]
      ,case when FLAGAMB='S' then 'Y' 
			when FLAGAMB='N' then 'N' 
			else 'N' end as 
			[ESG_E]
      ,case when FLAGSOC='S' then 'Y' 
			when FLAGSOC='N' then 'N' 
			else 'N' end as 
			[ESG_S]
      ,case when FLAGGOV='S' then 'Y' 
			when FLAGGOV='N' then 'N' 
			else 'N' end as [ESG_G]
      ,esg.PERC1ESG as [obiettivo_ESG_minimo]
      ,NULL as [ESG_Rating]
      ,esg.PERCAMB as [ESG_E_perc]
      ,esg.PERCSOC as [ESG_S_perc]
      ,esg.PERCGOV as [ESG_G_perc]
  FROM C6martPeriodico.wseian2 ws
  left join C6MartPeriodico.W6CLIESG esg
  on ws.rete=esg.rete and ws.codfis=esg.CODFIS
  --SELECT [rete]
  --   -- ,[codfis]
  --    ,[Preferenza_esg_cliente]
  --    ,[ESG_E]
  --    ,[ESG_S]
  --    ,[ESG_G]
  --    ,[obiettivo_ESG_minimo]
  --    ,[ESG_Rating]
  --    ,[ESG_E_perc]
  --    ,[ESG_S_perc]
  --    ,[ESG_G_perc]
  --FROM [C6StampeCentralizzate].[C6StagingPeriodico].[ESG_Metriche_Cliente_IL]
  --select * from [C6StampeCentralizzate].[C6StagingPeriodico].[ESG_Metriche_Cliente_IL]
  --select * from C6StagingPeriodico.wseian2
  --select * from C6MartPeriodico.W6CLIESG
 UPDATE  
  LOG_ESECUZIONE  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_DM_BrsClienteESG' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE  
   WHERE  
    Nome = 'RP_DM_W6CATESG'  
  )  
END